import pandas as pd

df = pd.read_csv("vgsales.csv")
df = df.dropna()
df = df.drop(df[df['Year'] > 2015].index)
df = df.drop(df[df['Global_Sales'] < 1].index)
df["Year"] = df["Year"].astype(int)
counts = df['Publisher'].value_counts()
df['Publisher'] = df['Publisher'].apply(lambda x: 'Small Publisher' if counts[x] < 50 else x)


class VgSales:
    def __init__(self):
        self.data = df

    def get_year(self):
        self.data = self.data.sort_values(by=['Year'])
        return self.data["Year"].unique()

    def get_publisher(self):
        self.data = self.data.sort_values(by=['Publisher'])
        return self.data["Publisher"].unique()

    def get_genre(self):
        self.data = self.data.sort_values(by=['Genre'])
        return self.data["Genre"].unique()

    def get_region(self):
        return ["NA_Sales", "EU_Sales", "JP_Sales", "Other_Sales", "Global_Sales"]
